October 21, 2016

Security updates for Foxit products

Foxit Software has announced the release of version 4.2 of its PDF Reader product, closing two security vulnerabilities. Foxit Reader 4.2 addresses a buffer overflow issue that occurred when processing PDF documents with titles longer than 512 bytes. An issue that could be exploited by an attacker to inject and execute malicious code on a victims system. Additionally, the update fixes a security flaw related to digital signatures.

Read the full article here.


Foxit Reader Vulnerability Has Been Fixed

Foxit Reader version has been released. In this version, Foxit Software fixed the crash issue caused by the new iPhone/iPad jailbreak program which can be exploited to inject arbitrary code into a system and execute it there.

Click Here for more information.

Download Foxit Reader here: